This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534408 - (RHQ-1207) allow periodic reminders for recovery-based alerting
allow periodic reminders for recovery-based alerting
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2008-12-03 11:50 EST by Joseph Marques
Modified: 2015-02-01 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 16:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-12-03 11:50:00 EST
I have two alert definitions:

to-be-recovered:= if { list of conditions }, disable until manually enabled by recovery alert or manually re-enabled
recovery alert:= if { other list of conditions }, re-enable <to-be-recovered>

when the to-be-recovered alert is triggered, it will send any notifications that are configured for it.  it might be useful to periodically push those notifications out again and again until the alert definition is recovered.  

we can extend recovery-based alert definition to have a new option:

re-notify every X units of Y time, until alert is recovered is re-enabled

then, when the to-be-recovered alert is triggered, we can create a periodic quartz job that will fire every X units of Y time.  when it fires, it will look up the current notification attached to the alert definition that created it, and re-notify those persons / devices.  when the recovery alert eventually triggers, it will unschedule this quartz job to stop the notifications.
Comment 1 Red Hat Bugzilla 2009-11-10 15:28:04 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1207

Note You need to log in before you can comment on or make changes to this bug.